Bug 126743 - cman won't start for a 2-node cluster
cman won't start for a 2-node cluster
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Teigland
Derek Anderson
Depends On:
  Show dependency treegraph
Reported: 2004-06-25 12:16 EDT by Derek Anderson
Modified: 2010-01-11 21:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-30 15:37:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-06-25 12:16:30 EDT
Description of problem:

Attempted to start cman_tool for a 2 node cluster.  Failed even when
-e 1 was set correctly.

[root@link-11 /]# cman_tool -h

cman_tool <join|leave|kill|expected|votes> [options]


  -m <addr>      * Multicast address to use (combines with -i)
  -i <ifname>    * Interfaces for above multicast addresses
  -v <votes>       Number of votes this node has (default 1)
  -e <votes>       Number of expected votes for the cluster (no default)

[root@link-11 /]# cman_tool -2 -e 1 join
cman_tool: expected_votes must be 1 with special two node mode
[root@link-11 /]# echo $?
[root@link-11 /]#

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Christine Caulfield 2004-06-28 03:02:41 EDT
Without the -X switch, cman_tool will use CCS.

CCS currently overrides the command-line (which is arguably wrong) so
what's happening here is that you are adding -2 to the join parameters
but expected votes is coming from CCS.

ccs_tool needs to be more intuitive about what it does with parameters.
Comment 2 David Teigland 2004-06-28 03:45:49 EDT
cman_tool will now print a general warning when it's about to 
override any command line options with values from ccs.  The error
messages also include the invalid values now so it should be easier 
to see what's wrong.
Comment 3 Corey Marthaler 2004-08-30 15:37:43 EDT
saw the new general warning and the error message with invalid value. 
Comment 4 Kiersten (Kerri) Anderson 2004-11-16 14:11:08 EST
Updating version to the right level in the defects.  Sorry for the storm.

Note You need to log in before you can comment on or make changes to this bug.